INSERT INTO EAC_APP_VERSION (DB_VERSION, BIN_VERSION, UPGRADE_DATE, USER_NAME, IS_FINISHED) VALUES (6, '1.0.0.0', CURRENT_TIMESTAMP, 'ADMIN', 0);
^
@COMMENT:Dodanie tabeli rodzajów dokumentów KSeF
^
CREATE TABLE EAC_KSEF_RODZAJE_DOK (
	ID						INTEGER NOT NULL,	
	KOD						VARCHAR(50),
	OPIS					VARCHAR(250),
	REGULY					BLOB SUB_TYPE 0
);
^
ALTER TABLE EAC_KSEF_RODZAJE_DOK ADD CONSTRAINT PK_EAC_KSEF_RODZAJE_DOK PRIMARY KEY (ID);
^
ALTER TABLE EAC_KSEF_RODZAJE_DOK ADD CONSTRAINT UQ_EAC_KSEF_RODZAJE_DOK UNIQUE (KOD);
^
ALTER TABLE EAC_KSEF_FAKT_NAG ADD ID_RODZAJU_DOK INTEGER;
^
CREATE INDEX EAC_KSEF_FAKT_NAG_IDX1 ON EAC_KSEF_FAKT_NAG(ID_RODZAJU_DOK);
^
ALTER TABLE EAC_KSEF_FAKT_NAG ADD ID_DOK_KSIEG INTEGER; 
^
CREATE INDEX EAC_KSEF_FAKT_NAG_IDX2 ON EAC_KSEF_FAKT_NAG(ID_DOK_KSIEG);
^
ALTER TABLE EAC_KSEF_FAKT_NAG ADD ID_IMP_LOG_ID INTEGER; 
^
CREATE INDEX EAC_KSEF_FAKT_NAG_IDX3 ON EAC_KSEF_FAKT_NAG(ID_IMP_LOG_ID);
^
CREATE GENERATOR EAC_KSEF_RODZAJE_DOK_ID_GEN;
^
CREATE TRIGGER BI_EAC_KSEF_RODZAJE_DOK_ID FOR EAC_KSEF_RODZAJE_DOK
ACTIVE BEFORE INSERT
POSITION 0
AS
BEGIN
  IF (NEW.ID IS NULL) THEN
      NEW.ID = GEN_ID(EAC_KSEF_RODZAJE_DOK_ID_GEN, 1);
END
^
@COMMENT:Odblokowanie bazy danych
^
UPDATE EAC_APP_VERSION SET IS_FINISHED = 1 WHERE DB_VERSION = 6;